# Uses of Enum
com.databricks.jdbc.common.AccessType

Packages that use AccessType
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.common

## Uses of AccessType in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return AccessType
Modifier and Type
Method
Description
`AccessType`
DatabricksColumn.`accessType()`
`AccessType`
ImmutableDatabricksColumn.`accessType()`
Methods in com.databricks.jdbc.api.impl with parameters of type AccessType
Modifier and Type
Method
Description
`final ImmutableDatabricksColumn.Builder`
ImmutableDatabricksColumn.Builder.`accessType(AccessType accessType)`
Initializes the value for the `accessType` attribute.
`final ImmutableDatabricksColumn`
ImmutableDatabricksColumn.`withAccessType(AccessType value)`
Copy the current immutable object by setting a value for the `accessType` attribute.

## Uses of AccessType in com.databricks.jdbc.common

Subclasses with type arguments of type AccessType in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`AccessType`
Methods in com.databricks.jdbc.common that return AccessType
Modifier and Type
Method
Description
`static AccessType`
AccessType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AccessType[]`
AccessType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.